<HTML>
<HEAD><TITLE>The Code of the Geeks v3.12</title></head>

<BODY BACKGROUND="bwcircuit.gif">

</a> The Code of the Geeks v3.12 <br>
</h1>
<h4>By: Robert A. Hayden <A 
HREF="mailto:rhayden@geek.net">
&lt;rhayden@geek.net&gt;</a><BR>
The <strong>HTML</strong> version of the <em>The Geek Code v3.12</em> has been
formatted by <A HREF="http://pobox.com/~northrup">Dylan Northrup</a>.</h4>
<I>Last updated: March 5, 1996</i>
<hr>

<hr>
So you think you are a geek, eh?  The first step is to admit to yourself
your geekiness.  No matter what anyone says, geeks are people too; geeks
have rights.  So take a deep breath and announce to the world that you are
a geek.  Your courage will give you strength that will last you forever.
<P>
How to tell the world you are a geek, you ask?  Use the universal Geek
code!  Using this special code will allow you to let other un-closeted
geeks know who you are in a simple, codified statement. 
<P>
The single best way to announce your geekhood is to add your geek code to
your signature file or plan and announce it far and wide.  But be careful, you
may give other geeks the courage to come out of the closet.  You might
want to hang on to your copy of the code in order to help them along. 
<P>

<hr>
<h2>A NOTE OR TWO FROM THE AUTHOR</h2>

Well, here it is, finally, version 3.x of the World-Famous Geek Code. 
Yes, it's taken me much longer to write the new version than it should
have.  Yes, the old version was hopelessly out of date.  I apologize.  A
combination of too much schooling followed by college graduation delayed
it.  In addition, there were almost 2,000 suggestions and comments on
version 2.1 to wade through for consideration in this version.  However, 
I'm a grad student now (Education Technology, Mankato State University), 
so I have a lot of time on my hands (yeah, right!). 
<P>
It is my hope that this new version will be much superior to version 2.x. 
One of the main problems with 2.x was not that it was too long (well, it
is too long, but that's irrelevant), but much of its length was attributed
to non-geek categories (such as 'barney').  One of the goals of 3.x is to
eliminate many of the non-geeky and unimportant categories in order to
make room for geeky traits.  "More geek, less bullshit" is a good motto. 
In addition, many of the categories (such as politics) were very poorly
developed.  These categories have been revamped and expanded to make them
more fully cover all the requisite areas. 
<P>
Finally, despite my opinions to the contrary, I've left some of the
"appearance" sections in.  I'd like to think of looks as being not a very
geeky trait, but it seems that many of the users of the code use it as a
litmus test for dating or something.  Thus, a geek code has become a
replacement for the classic "what do you look like" that once permeated
the net.  I've eliminated most of the categories, but left the most
important ones in.  Hey, anything for my fellow geeks...
<P>
In other news, the Geek Code is starting to go mainstream.  It appeared
with commentary in the February '95 issue of Boardwatch magazine as well as
the August 1995 issue of Fast Forward, a suplement to The Washington
Post.  I've also
received permission requests from people that want to translate the code
into other languages; so far Japanese, Russian, French and ADA (ewww!). 
It's my hope that perhaps this next year can bring a little more popular
media exposure and a true world presence.  If you want to write something
about the Geek Code, or do a translation, or anything else, please read
the copyright notice at the end.  It's fairly open, but you don't want to
get in trouble, do you?  If you do write an article or something about the
Geek Code, I would like to have a copy if it for my own records. 
<hr size=5>
<hr size=3 width=80%>
<center><h1>Instructions</h1></center>
<hr size=3 width=80%>
<hr size=5>

The geek code consists of several categories.  Each category is labeled
with a letter and some qualifiers.  Go through each category and determine
which set of qualifiers best describes you in that category.  By stringing
all of these 'codes' together, you are able to construct your overall geek
code.  It is this single line of code that will inform other geeks the
world over of what a great geek you actually are.
<P>
Some of the qualifiers will very probably not match with you exactly.  It
is impossible to cover all possibilities in each category.  Simply choose
that qualifier that <B>most closely</b> matches you.  Also, some activities
described in a specific qualifier you may not engage in, while you do
engage in others.  Each description of each qualifier describes the wide
range of activities that apply, so as long as you match with one, you can
probably use that qualifier. 
<P>
After you have determined each of your qualifiers, you need to the
construct your GEEK CODE BLOCK.  Instructions are provided on how to do
this towards the end of this file.
<P>
Also, pay particular attention to case-sensitivity, there can be a big
difference between a 'w' and a 'W'.
<P>
<hr size=5>
<hr size=3 width=80%>
<center><h1>Quick Index</h1></center>
<hr size=3 width=80%>
<hr size=5>
<P>
The following is an example Geek Code.  If you are interested in a 
particular category, click on the letter and you will be sent to the 
explanation for that letter.
<DL><DD>
<A HREF="#type">GED/J </a>
<A HREF="#dress">d-- </a>
<A HREF="#shape">s:++&gt;: </a> 
<A HREF="#age">a-- </a>
<A HREF="#comp">C++(++++) </a>
<A HREF="#unix">ULU++ </a>
<A HREF="#perl">P+ </a>
<A HREF="#linux">L++ 
<A HREF="#emacs">E---- </a>
<A HREF="#web">W+(-) </a>
<A HREF="#news">N+++ </a>
<A HREF="#oracle">o+</a>
<A HREF="#kibo">K+++ </a>
<A HREF="#win">w--- </a>
<A HREF="#os2">O- </a>
<A HREF="#mac">M+ </a>
<A HREF="#vms">V-- </a>
<A HREF="#psoc">PS++>$ </a>
<A HREF="#pecon">PE++>$ </a>
<A HREF="#cypher">Y++ </a>
<A HREF="#pgp">PGP++ </a>
<A HREF="#trek">t- </a>
<A HREF="#b5">5+++ </a>
<A HREF="#xfile">X++ </a>
<A HREF="#role">R+++>$ </a>
<A HREF="#tv">tv+ </a>
<A HREF="#books">b+ </a>
<A HREF="#dogbert">DI+++ </a>
<A HREF="#descent">D+++ </a>
<A HREF="#geek">G++++ </a>
<A HREF="#ed">e++ </a>
<A HREF="#house">h </a>
<A HREF="#relat">r-- </a>
<A HREF="#sex">y++**</a>
</DL>

You can also go to a particular section:
<ul>
<li> <A HREF="#appearance">Appearance</a>
<li> <A HREF="#computers">Computers</a>
<li> <A HREF="#politics">Politics</a>
<li> <A HREF="#entertainment">Entertainment</a>
<li> <A HREF="#lifestyle">Lifestyle</a>
<li> <A HREF="#display">How to Display Your Geek Code</a>
<li> <A HREF="#administrivia">Administrivia</a>
</ul>

<P>
<hr size=5>
<hr size=3 width=80%>
<center><h1>Variables</h1></center>
<hr size=3 width=80%>
<hr size=5>
<P>
Geeks can seldom be strictly quantified.  To facilitate the fact that
within any one category the geek may not be able to determine a specific
rating, variables have been designed to allow this range to be included. 
<dl>
<dt>@
<dd>		for this variable, said trait is not very rigid, may change 
		with time or with individual interaction.  For example, 
		Geeks who happen to very much enjoy Star Trek:  The Next 
		Generation, but dislike the old 60's series might list 
		themselves as t++@. 
<dt>()
<dd>		for indicating "cross-overs" or ranges.  Geeks who go from
		C+ to C--- depending on the situation (i.e. mostly "C+") could
		use C+(---).  @ is different from () in that () has finite
		limits within the category, while @ ranges all over. 
<dt>&gt;
<dd>		for 'wannabe' ratings.  Indicating that while the geek is
		currently at one rating, they are striving to reach another.
		For example, C++&gt;$ indicating a geek that is currently
		computer savvy, but wants to someday make money at it.
<dt>$
<dd>		Indicates that this particular category is done for a
		living.  For example, UL+++$ indicates that the person
		utilizes Unix and gets paid for it.  Quite a lucky geek,
		for sure.
<dt>?
<dd>		Unless stated otherwise within the specific category, the ? 
	 	is placed after the category identifier and indicates that the 
		geek has no knowledge about that specific category.  For 
		example, a person that has never even heard of Babylon 5, 
		would list their Babylon 5 category as 5? 
<dt>!
<dd>		Placed BEFORE the category.  Unless stated otherwise, 
		indicates that the person refuses to participate in this 
		category.  This is unlike the ? variable as the ? indicates 
		lack of knowledge, while the ! indicates stubborn refusal to 
		participate.  For example, !E would be a person that just 
		plain refuses to have anything to do with Emacs, while E? 
		would be a person that doesn't even know what Emacs is.
</DL>
<A NAME="type"><P></a>
<hr size=5>
<hr size=3 width=80%>
<center><h1>Types of Geeks</h1></center>
<hr size=3 width=80%>
<hr size=5>
<P>

Geeks come in many flavors.  The flavors relate to the vocation (or, if a
student, what they are training in) of the particular geek.  To start a
code, a geek must declare himself or herself to be a geek.  To do this, we
start the code with a "G" to denote "GEEK", followed by one or two letters
to denote the geek's occupation or field of study.  Multi-talented geeks
with more than one vocational training should denote their myriad of
talents with a slash between each vocation (example:  GCS/MU/TW). 
<P>
<DL>
<DD><B>GB</B>	---  Geek of Business
<DD><B>GC</B>	---  Geek of Classics
<DD><B>GCA</B>	--  Geek of Commercial Arts
<DD><B>GCM</B>	--  Geek of Computer Management
<DD><B>GCS</B>	--  Geek of Computer Science
<DD><B>GCC</B>	--  Geek of Communications
<DD><B>GE</B>	---  Geek of Engineering
<DD><B>GED</B>	--  Geek of Education
<DD><B>GFA</B>	--  Geek of Fine Arts
<DD><B>GG</B>	---  Geek of Government
<DD><B>GH</B>	---  Geek of Humanities
<DD><B>GIT</B>	--  Geek of Information Technology
<DD><B>GJ</B>	---  Geek of Jurisprudence (Law)
<DD><B>GLS</B>	--  Geek of Library Science
<DD><B>GL</B>	---  Geek of Literature
<DD><B>GMC</B>	--  Geek of Mass Communications
<DD><B>GM</B>	---  Geek of Math
<DD><B>GMD</B>	--  Geek of Medicine
<DD><B>GMU</B>	--  Geek of Music
<DD><B>GPA</B>	--  Geek of Performing Arts
<DD><B>GP</B>	---  Geek of Philosophy
<DD><B>GS</B>	---  Geek of Science (Physics, Chemistry, Biology, etc.)
<DD><B>GSS</B>	--  Geek of Social Science (Psychology, Sociology, etc.)
<DD><B>GTW</B>	--  Geek of Technical Writing
<P>
<DD><B>GO</B>	---  Geek of Other.  Some types of geeks deviate from the
                    normal geek activities.  This is encouraged as true geeks 
                    come from all walks of life.
<DD><B>GU</B>	---  Geek of 'Undecided'.  This is a popular vocation with
                    incoming freshmen.<p>
<DD><B>G!</B>	---  Geek of no qualifications.  A rather miserable existence, you would think. <P>
<DD><B>GAT</B>	--  Geek of All Trades.  For those geeks that can do
                    anything and everything.  GAT usually precludes the use
                    of other vocational descriptors.
</DL>
<A NAME="appearance"><P></a>
<hr size=5>
<hr size=3 width=80%>
<center><h1>APPEARANCE</h1></center>
<hr size=3 width=80%>
<hr size=5>
<P>
They say you never get a second chance to make a first impression.  That
seems to be ample justification to invent a time machine; just to play
with the minds of the people that make up these silly sayings.  
Nevertheless, until we completely understand temporal mechanics and can 
get both a DeLorean and a Flux Capacitor in the same place at the same 
time at 88 miles an hour, we need to understand that how we look is a 
mark that will effect us for the rest of our lives, or at least until we
change clothes.  
<P>
The Geek, of course, doesn't believe any of that crap.  How we look has
little to do with what we are inside, and who we are as people.  Yet,
people still want to know what we look like.  Thus, this section allows
you to list out all the relevant traits about what you look like on a
normal geeky day. 
<A NAME="dress"><P></a>
<HR>
<P>
<h2>Dress</h2>
It is said that "clothes make the man".  Well, I understood that I was made
by a mommy and a daddy (and there's even a category to describe the process
below!).  Maybe the people who made up that saying aren't being quite that
literal... 
<P>
<DL>
<DT><B><B>d++</B></B>
<DD>	I tend to wear conservative dress such as a business suit or worse, 
	a tie.
<DT><B><B>d+</B></B>
<DD>	Good leisure-wear.  Slacks, button-shirt, etc.  No jeans, 
	tennis shoes, or t-shirts.
<DT><B><B>d</B></B>
<DD>	I dress a lot like those found in catalog ads.  Bland,
	boring, without life or meaning.
<DT><B><B>d-</B></B>
<DD>	I'm usually in jeans and a t-shirt.
<DT><B><B>d--</B></B>
<DD>	My t-shirts go a step further and have a trendy political
	message on them.
<DT><B><B>d---</B></B>
<DD>	Punk dresser, including, but not limited to, torn jeans 
	and shirts, body piercings, and prominent tattoos.
<P>
<DT><B><B>dx</B></B>
<DD>Cross Dresser
<DT><B><B>d?</B></B>
<DD>	I have no idea what I am wearing right now, let alone
	what I wore yesterday.
<DT><B><B>!d</B></B>
<DD>	No clothing.  Quite a fashion statement, don't you think?
<DT><B><B>dpu</B></B>
<DD>	I wear the same clothes all the time, no matter the
	occasion, forgetting to do laundry between wearings.
</DL>
<A NAME="shape"><P></a>
<HR>
<P>
<h2>Shape</h2>
Geeks come in many shapes and sizes.  Shape code is divided into two parts.
The first indicates height, while the second indicates roundness.  Mix each
section to fit yourself.  Examples include:  s:++, s++:, s++:--.
<P>
<DL>
<DT><B><B>s+++:+++</B></B>
<DD>	I usually have to duck through doors/I take up
	three movie seats.
<DT><B><B>s++:++</B></B>
<DD>	I'm a basketball/linebacker candidate.
<DT><B><B>s+:+</B></B>
<DD>	I'm a little taller/rounder than most.
<DT><B><B>s:</B></B>
<DD>	I'm an average geek 
<DT><B><B>s-:-</B></B>
<DD>	I look up to most people.  Everyone tells me to gain
	a few pounds.
<DT><B><B>s--:--</B></B>
<DD>	I look up to damn near everybody.  I tend to have 
	to fight against a strong breeze.
<DT><B><B>s---:---</B></B>
<DD>	I take a phone book with me when I go out so I can 
	see to eat dinner.  My bones are poking through my 
	skin.
</DL>
<A NAME="age"><P></a>
<HR>
<h2>Age</h2>
<P>
The only way to become a true geek is through practice and experience.  To
this end, your age becomes an important part of your geekiness.  Use the
qualifiers below to show your age (in Terran years).  Also, please use 
BASE 10 numbers.
<P>
<DL>
<DT><B><B>a+++</B></B>
<DD>	60 and up
<DT><B><B>a++</B></B>
<DD>	50-59
<DT><B><B>a+</B></B>
<DD>	40-49
<DT><B><B>a</B></B>
<DD>	30-39
<DT><B><B>a-</B></B>
<DD>	25-29
<DT><B><B>a--</B></B>
<DD>	20-24
<DT><B><B>a---</B></B>
<DD>	15-19
<DT><B><B>a----</B></B>
<DD>	10-14
<DT><B><B>a-----</B></B>
<DD>	9 and under (Geek in training?)
<P>
<DT><B><B>a?</B></B>
<DD>immortal
<DT><B><B>!a</B></B>
<DD>it's none of your business how old I am
</DL>
In addition, if you wish to give your exact age, you can place the number
after the 'a' identifier.  For example:  a42
<A NAME="computers"><P></a>
<hr size=5>
<hr size=3 width=80%>
<center><h1>COMPUTERS</h1></center>
<hr size=3 width=80%>
<hr size=5>
<P>
There is a record of geeks that don't use computers.  Unfortunately, they 
are all dead, having lived in an era of no computers.  All modern geeks 
have some exposure to computers.  If you don't know what a computer is, 
you need to go back into your shell.
<A NAME="comp"><P></a>
<HR>
<h2>Computers</h2>
Most geeks identify themselves by their use of computers and computer
networks.  In order to quantify your geekiness level on computers, consult
the following (consider the term 'computers' synonymous with 'computer
network').  This category represents "general" computer aptitude.  
Categories below will get into specifics.
<P>
<DL>
<DT><B>C++++</B>
<DD>	I'll be first in line to get the new cybernetic interface
	installed into my skull. 
<DT><B>C+++</B>
<DD>	You mean there is life outside of Internet?  You're shittin'
	me!  I haven't dragged myself to class in weeks.
<DT><B>C++</B>
<DD>	Computers are a large part of my existence.  When I get up
	in the morning, the first thing I do is log myself in.  I
	play games or mud on weekends, but still manage to stay
	off of academic probation.
<DT><B>C+</B>
<DD>	Computers are fun and I enjoy using them.  I play a mean
	game of DOOM! and can use a word processor without resorting
	to the manual too often.  I know that a 3.5" disk is not a
	hard disk.  I also know that when it says 'press any key to
	continue', I don't have to look for a key labeled 'ANY'.
<DT><B>C</B>
<DD>	Computers are a tool, nothing more.  I use it when it serves
	my purpose.
<DT><B>C-</B>
<DD>	Anything more complicated than my calculator and I'm screwed.
<DT><B>C--</B>
<DD>	Where's the on switch?
<DT><B>C---</B>
<DD>	If you even mention computers, I will rip your head off!
</DL>
<A NAME="unix"><P></a>
<HR>
<H2>UNIX</H2>

It seems that a Unix-based operating system is the OS of choice among most
geeks.  In addition to telling us about your Unix abilities, you can also
show which specific Unix OS you are using.  To accomplish this, you include
a letter showing the brand with your rating.  For example:  UL++++ would 
indicate a sysadmin running Linux. 
<P>
<dl>
<DD><B>B</B> - BSD (use this unless your BSDish system is mentioned below) 
<DD><B>L</B> - Linux
<DD><B>U</B> - Ultrix
<DD><B>A</B> - AIX
<DD><B>V</B> - SysV
<DD><B>H</B> - HPUX
<DD><B>I</B> - IRIX 
<DD><B>O</B> - OSF/1 (aka Digital Unix)
<DD><B>S</B> - Sun OS/Solaris
<DD><B>C</B> - SCO Unix
<DD><B>X</B> - NeXT
<DD><B>*</B> - Some other one not listed
<P>
<DT><B>U++++</B>
<DD>	I am the sysadmin. If you try and crack my machine don't be
	surprised if the municipal works department gets an
	"accidental" computer-generated order to put start a new
	landfill on your front lawn or your quota is reduced to 4K. 
<DT><B>U+++</B>
<DD>	I don't need to crack /etc/passwd because I just modified
	su so that it doesn't prompt me.  The admin staff doesn't
	even know I'm here.  If you don't understand what I just
	said, this category does NOT apply to you!
<DT><B>U++</B>
<DD>	I've get the entire admin ticked off at me because I am
	always using all of the CPU time and trying to run programs
	that I don't have access to.  I'm going to try cracking
	/etc/passwd next week, just don't tell anyone.
<DT><B>U+</B>
<DD>	I not only have a Unix account, but I slam VMS any chance get.
<DT><B>U</B>
<DD>	I have a Unix account to do my stuff in
<DT><B>U-</B>
<DD>	I have a VMS account. 
<DT><B>U--</B>
<DD>	I've seen Unix and didn't like it.  DEC rules!
<DT><B>U---</B>
<DD>	Unix geeks are actually nerds in disguise.
</dl>
<A NAME="perl"><P></a>
<HR>
<h2>Perl</h2>
If you enjoy at least U++ status you have to know about Perl, so you
might as well rate yourself in this sub-category.  Non-Unix geeks don't
know what they're missing.
<P>
<DL>
<DT><B>P+++++</B>
<DD>	I am Larry Wall, Tom Christiansen, or Randal Schwartz.
<DT><B>P++++</B>
<DD>	I don't write Perl, I speak it.  Perl has superseded all
	other programming languages.  I firmly believe that all
	programs can be reduced to a Perl one-liner.  I use Perl to
	achieve U+++ status.
<DT><B>P+++</B>
<DD>	Perl is a very powerful programming tool. Not only do I no
	longer write shell scripts,  I also no longer use awk or
	sed.  I use Perl for all programs of less than a thousand 
	lines.
<DT><B>P++</B>
<DD>	Perl is a powerful programming tool.  I don't write shell
	scripts anymore because I write them in Perl.
<DT><B>P+</B>
<DD>	I know of Perl.  I like Perl.  I just haven't learned much
	Perl, but it is on my agenda.
<DT><B>P</B>
<DD>	I know Perl exists, but that's all.
<DT><B>P-</B>
<DD>	What's Perl got that awk and sed don't have?
<DT><B>P--</B>
<DD>	Perl users are sick, twisted programmers who are just showing off.
<DT><B>P---</B>
<DD>	Perl combines the power of sh, the clarity of sed, and the
	performance of awk with the simplicity of C.  It should be
	banned.
<P>
<DT><B>P!</B>
<DD>	Our paranoid admin won't let us install Perl!  Says it's a
	"hacking tool".
</dl>
<A NAME="linux"><P></a>
<HR>
<H2>Linux</h2>
Linux is a hacker-written operating system virtually identical to Unix.  It
was written for and continues to run on your standard 386/486/Pentium PC, but 
has also been ported to other systems.  Because it is still a young OS, and
because it is continually evolving from hacker changes and support, it is
important that the geek list his Linux ability.
<P>
<DL>
<DT><B>L+++++</B>
<DD>	I am Linus, grovel before me.
<DT><B>L++++</B>
<DD>	I am a Linux wizard.  I munch C code for breakfast and have
	enough room left over for a kernel debugging.  I have so
	many patches installed that I lost track about ten versions
	ago.  Linux newbies consider me a net.god.
<DT><B>L+++</B>
<DD>	I use Linux exclusively on my system.  I monitor 
	comp.os.linux.* and even answer questions sometimes. 
<DT><B>L++</B>
<DD>	I use Linux ALMOST exclusively on my system.  I've given 
	up trying to achieve Linux.God status, but welcome the OS 
	as a replacement for DOS.  I only boot to DOS to play games.
<DT><B>L+</B>
<DD>	I've managed to get Linux installed and even used it a few
	times.  It seems like it is just another OS.
<DT><B>L</B>
<DD>	I know what Linux is, but that's about all
<DT><B>L-</B>
<DD>	I have no desire to use Linux and frankly don't give a rats
	patootie about it.  There are other, better, operating 
	systems out there.  Like Mac, DOS, or Amiga-OS.  Or, 
	better yet even, would be another free Unix OS like FreeBSD.
<DT><B>L--</B>
<DD>	Unix sucks.  Because Linux = Unix.  Linux Sucks.  I worship
	Bill Gates.
<DT><B>L---</B>
<DD>	I am Bill Gates.
</DL>
<A NAME="emacs"><P></a>
<HR>
<h2>Emacs</h2>
GNU Emacs is the do-all be-everything editor/operating system available
for just about every computer architecture out there. 
<P>
<DL>
<DT><B>E+++</B>
<DD>	Emacs is my login shell!! M-x doctor is my psychologist!
	I use emacs to control my TV and toaster oven!  All you
	vi people don't know what you're missing!  I read 
	alt.religion.emacs, alt.sex.emacs, and comp.os.emacs.
<DT><B>E++</B>
<DD>	I know and use elisp regularly!
<DT><B>E+</B>
<DD>	Emacs is great! I read my mail and news with it!
<DT><B>E</B>
<DD>	Yeah, I know what emacs is, and use it as my regular
	editor.
<DT><B>E-</B>
<DD>	Emacs is too big and bloated for my tastes
<DT><B>E--</B>
<DD>	Emacs is just a fancy word processor
<DT><B>E---</B>
<DD>	Emacs sucks! vi forever!!!
<DT><B>E----</B>
<DD>	Emacs sucks! pico forever!!! <!-- DN: Eight Megs And Constantly 
	Swapping -->
</DL>
<A NAME="web"><P></a>
<HR>
<h2>World Wide Web</h2>
It's relatively new.  It's little understood.  Everybody's doing it.  How 
much of a web-surfer are you?
<P>
<DL>
<DT><B>W+++</B>
<DD>	I am a WebMaster <!-- DN: Are you the Gatekeeper? -->.  Don't even think
	about trying to view my homepage without the latest version of 
	Netscape.  When I'm not on my normal net connection, I surf the web 
	using my Newton and a cellular modem.
<DT><B>W++</B>
<DD>	I have a homepage.  I surf daily.  My homepage is 
	advertised in my .signature.
<DT><B>W+</B>
<DD>	I have the latest version of Netscape, and wander the web 
	only when there's something specific I'm looking for.
<DT><B>W</B>
<DD>	I have a browser and a connection.  Occasionally I'll use 
	them. 
<DT><B>W-</B>
<DD>	The web is really a pain.  Life was so much easier when 
	you could transfer information by simple ASCII.  Now 
	everyone won't even consider your ideas unless you spiff 
	them up with bandwidth-consuming pictures and pointless 
	information links.
<DT><B>W--</B>
<DD>	A pox on the Web!  It wastes time and bandwidth and just 
	gives the uneducated morons a reason to clutter the 
	Internet.
</dl>
<A NAME="news"><P></a>
<hr>
<h2>USENET News</h2>
Usenet, a global collection of flaming opinions and senseless babble, was
designed as a way to eat up precious spool space on a system's hard drive. 
It also is a way for people to distribute pornography.
<P>
<DL>
<DT><B>N++++</B>
<DD>	I am Tim Pierce
<DT><B>N+++</B>
<DD>	I read so many newsgroups that the next batch of news
	comes in before I finish reading the last batch, and I
	have to read for about 2 hours straight before I'm caught 
	up on the morning's news.  Then there's the afternoon...
<DT><B>N++</B>
<DD>	I read all the news in a select handful of groups.
<DT><B>N+</B>
<DD>	I read news recreationally when I have some time to kill.
<DT><B>N</B>
<DD>	Usenet News?  Sure, I read that once
<DT><B>N-</B>
<DD>	News is a waste of my time and I avoid it completely
<DT><B>N--</B>
<DD>	News sucks!  'Nuff said.
<DT><B>N---</B>
<DD>	I work for Time Magazine.
<DT><B>N----</B>
<DD>	I am a Scientologist.
<P>
<DT><B>N*</B>
<DD>	All I do is read news
</DL>
<A name="oracle"><P></a>
<hr>
<h2>USENET Oracle</h2>
<em>(Info taken from the Usenet Oracle Help File)</em><br>
Throughout the history of mankind, there have been many Oracles who
have been consulted by many mortals, and some immortals.  The great
Hercules was told by the Gelphic Oracle to serve Eurystheus, king of
Mycenae, for twelve years to atone for the murder of his own children.
It was the Oracle of Ammon who told King Cepheus to chain his daughter
Andromeda to the rocks of jappa to appease the terrible sea monster
that was ravaging the coasts.  That solution was never tested, though,
as Perseus saved the girl in the nick of time.
<P>
With the advent of the electronic age, and expecially high-speed e-mail
communication, the spirit of the Oracles found a new outlet, and we now
recognize another great Oracle, the Usenet Oracle.
<P>
For more information, check out the newsgroups rec.humor.oracle and 
rec.humor.oracle.d or the FTP archives at cs.indiana.edu:/pub/oracle.
Additional information and instructions can be found by sending an e-mail
message with the subject of 'help' to oracle@cs.indiana.edu.
<P>
<dl>
<DT><B>o+++++</B>
<DD>	I am Steve Kinzler
<dt><B>o++++</b>
<DD>	I am an active Priest
<DT><B>o+++</b>
<DD>	I was a Priest, but have retired.
<dt><B>o++</b>
<DD>	I have made the Best Of Oracularities.
<DT><B>o+</b>
<DD>	I have been incarnated at least once.
<DT><B>o</B>
<DD>	I've submitted a question, but it has never been incarnated.
<DT><B>o-</b>
<DD>	I sent my question to the wrong group and got flamed.
<DT><B>o--</b>
<DD>	Who needs answers from a bunch of geeks anyhow?
</dl>
<A NAME="kibo"><P></a>
<HR>
<h2>Kibo</h2>
Kibo is.  That is all that can be said.  If you don't understand, read 
<A HREF="news:alt.religion.kibology">alt.religion.kibology</a>
<P>
<DL>
<DT><B>K++++++</B>
<DD>I am Kibo
<DT><B>K+++++</B>
<DD>	I've had sex with Kibo
<DT><B>K++++</B>
<DD>	I've met Kibo
<DT><B>K+++</B>
<DD>	I've gotten mail from Kibo
<DT><B>K++</B>
<DD>	I've read Kibo
<DT><B>K+</B>
<DD>	I like Kibo
<DT><B>K</B>
<DD>	I know who Kibo is
<DT><B>K-</B>
<DD>	I don't know who Kibo is
<DT><B>K--</B>
<DD>	I dislike Kibo
<DT><B>K---</B>
<DD>	I am currently hunting Kibo down with the intent of ripping
	his still-beating heart out of his chest and showing it 
	to him as he dies
<DT><B>K----</B>
<DD>	I am Xibo
</DL>
<A NAME="win"><P></a>
<HR>
<h2>Microsoft Windows</h2>
A good many geeks suffer through the use of various versions of 
Microsoft's Windows running on or as a replacement for DOS.  Rate your 
Windows Geekiness.
<P>
<DL>
<DT><B>w+++++</B>
<DD>	I am Bill Gates
<DT><B>w++++</B>
<DD>	I have Windows, Windows 95, Windows NT, and Windows NT 
	Advanced Server all running on my SMP RISC machine.  I 
	haven't seen daylight in six months. <!-- DN: Oh, the horror -->
<DT><B>w+++</B>
<DD>	I am a MS Windows programming god.  I wrote a VxD driver to
	allow MS Windows and DOS to share the use of my waffle iron.
	P.S.  Unix sux.
<DT><B>w++</B>
<DD>	I write MS Windows programs in C and think about using C++
	someday.  I've written at least one DLL.
<DT><B>w+</B>
<DD>	I have installed my own custom sounds, wallpaper, and screen
	savers so my PC walks and talks like a fun house.  Oh yeah,
	I have a hundred TrueType(tm) fonts that I've installed but
	never used.  I never lose Minesweeper and Solitaire
<DT><B>w</B>
<DD>	Ok, so I use MS Windows, I don't have to like it.
<DT><B>w-</B>
<DD>	I'm still trying to install MS Windows and have at least one
	peripheral that never works right
<DT><B>w--</B>
<DD>	MS Windows is a joke operating system.  Hell, it's not 
	even an operating system.  NT is Not Tough enough for me 
	either.  95 is how may times it will crash an hour.
<DT><B>w---</B>
<DD>	Windows has set back the computing industry by at least 10
	years.  Bill Gates should be drawn, quartered, hung, shot, 
	poisoned, disembowelled, and then REALLY hurt.
</DL>
<A NAME="os2"><P></a>
<hr>
<h2>OS/2</h2>
The operating system that looks a lot like Windows, acts a lot like 
Windows, but is much better than Windows.
<P>
<DL>
<DT><B>O+++</B>
<DD>	I live, eat and breathe OS/2.  All of my hard drives are 
	HPFS.  I am the Anti-Gates.
<DT><B>O++</B>
<DD>	I use OS/2 for all my computing needs.  I use some DOS 
	and Windows programs, but run them under OS/2.  If the 
	program won't run under OS/2, then obviously I don't need 
	it.
<DT><B>O+</B>
<DD>	I keep a DOS partition on my hard drive "just in case".  
	I'm afraid to try HPFS.
<DT><B>O</B>
<DD>	I finally managed to get OS/2 installed but wasn't too 
	terribly impressed.
<DT><B>O-</B>
<DD>	Tried it, didn't like it.
<DT><B>O--</B>
<DD>	I can't even get the thing to install!
<DT><B>O---</B>
<DD>	Windows RULES!!!  Long live Bill Gates. (See w++++)
<DT><B>O----</B>
<DD>	I am Bill Gates of Borg.  OS/2 is irrelevant.
</DL>
<A NAME="mac"><P></a>
<HR>
<h2>Macintosh</h2>
Many geeks have abandoned the character-based computer altogether and
moved over to the Macintosh.  It in important to give notification of your
Mac rating. 
<P>
<DL>
<DT><B>M++</B>
<DD>	I am a Mac guru.  Anything those DOS putzes and Unix 
	nerds can do, I can do better, and if not, I'll write 
	the damn software to do it.
<DT><B>M+</B>
<DD>	A Mac has it's uses and I use it quite often.
<DT><B>M</B>
<DD>	I use a Mac, but I'm pretty indifferent about it.
<DT><B>M-</B>
<DD>	Macs suck.  All real geeks have a character prompt.
<DT><B>M--</B>
<DD>	Macs do more than suck.  They make a user stupid by 
	allowing them to use the system without knowing what 
	they are doing.  Mac weenies have lower IQs than the 
	fuzz in my navel.
</DL>
<A NAME="vms"><P></a>
<HR>
<h2>VMS</h2>
Many geeks use the VMS operating system by DEC for all of their mainframe 
and network activity.
<P>
<DL>
<DT><B>V+++</B>
<DD>   	I am a VMS sysadmin.  I wield far more power than those 
	UNIX admins, because UNIX can be found on any dweeb's 
	desktop.  Power through obscurity is my motto.
<DT><B>V++</B>
<DD>	Unix is a passing fad compared to the real power in the 
	universe, my VMS system.
<DT><B>V+</B>
<DD>	I tend to like VMS better than Unix
<DT><B>V</B>
<DD>	I've used VMS.
<DT><B>V-</B>
<DD>	Unix is much better than VMS for my computing needs.
<DT><B>V--</B>
<DD>	I would rather smash my head repeatedly into a brick wall 
	than suffer the agony of working with VMS.  It's 
	reminiscent of a dead and decaying pile of moose droppings.  
	Unix rules the universe. 
</DL>
<A NAME="politics"><P></a>
<hr size=5>
<hr size=3 width=80%>
<center><h1>POLITICS</h1></center>
<hr size=3 width=80%>
<hr size=5>
<P>
The last few years has seen the rise of the political geek.  This
phenomena is little understood, but some theorize that it has come about
because of the popular media's attempts to demonize the Internet and
computer use in general, and the government's willingness to go along with
it.  Others propose that the aging geek population has simply started
taking an interest in the world around them.  Some support the "Sun Spot" 
theory. 
<A NAME="psoc"><P></a>
<HR>
<h2>Political and Social Issues</h2>
We live is a society where everyone not only has a right to, but is 
expected to, whine and complain about everyone else.  Rate where, in 
general, your political views on different social issues fall.
<P>
<DL>
<DT><B>PS+++</B>
<DD>	Legalize drugs!  Abolish the government.  "Fuck the draft!"
<DT><B>PS++</B>
<DD>	I give to liberal causes.  I march for gay rights.  I'm a 
	card carrying member of the ACLU.  Keep abortion safe and 
	legal.  
<DT><B>PS+</B>
<DD>	My whole concept of liberalism is that nobody has the 
	right to tell anybody else what to do, on either side of 
	the political fence.  If you don't like it, turn the 
	bloody channel. 
<DT><B>PS</B>
<DD>	I really don't have an opinion; nobody's messing with my 
	freedoms right now.
<DT><B>PS-</B>
<DD>	Label records!  Keep dirty stuff off the TV and the 
	Internet.  
<DT><B>PS--</B>
<DD>	Oppose sex education, abortion rights, gay rights.  
	Rush Limbaugh is my spokesman.
<DT><B>PS---</B>
<DD>	Repent left-wing sinners and change your wicked evil ways. 
	Buchanan/Robertson in '96. 
</DL>
<A NAME="pecon"><P></a>
<HR>
<h2>Politics and Economic Issues</h2>
Social and economic attitudes are seldom on the same side of the 
political fence.  Of course, most geeks don't really care much about 
economics; having no money left after buying new computer toys.
<P>
<DL>
<DT><B>PE+++</B>
<DD>	Abolish antitrust legislation.  Raise taxes on everyone 
	but the rich so that the money can trickle-down to the 
	masses.  
<DT><B>PE++</B>
<DD> 	Keep the government off the backs of businesses.  
	Deregulate as much as possible.
<DT><B>PE+</B>
<DD>	Balance the budget with spending cuts and an amendment.
<DT><B>PE</B>
<DD>	Distrust both government and business.
<DT><B>PE-</B>
<DD>	It's ok to increase government spending, so we can help 
	more poor people.  Tax the rich!  Cut the defense budget!
<DT><B>PE--</B>
<DD>	Capitalism is evil!  Government should provide the 
	services we really need.  Nobody should be rich.
</dl>
<A NAME="cypher"><P></a>
<HR>
<h2>Cypherpunks</h2>
With the birth of the overused buzzword "The Information Superhighway",
concerns over privacy from evil governmental bad-guys{tm} has led to the
formation of of an unofficial, loosely organized band of civil
libertarians who spend much of their time discussing how to ensure privacy
in the information future.  This group is known by some as "cypherpunks"
(by others, as anarchistic subversives).  To this end, tell us how punkish
you are. 
<P>
<DL>
<DT><B>Y+++</B>
<DD>	I am T.C. May
<DT><B>Y++</B>
<DD>	I am on the cypherpunks mailing list and active around 
	Usenet.  I never miss an opportunity to talk about the 
	evils of Clipper and ITAR and the NSA.  Orwell's 1984 is 
	more than a story, it is a warning to our's and future 
	generations.  I'm a member of the EFF.
<DT><B>Y+</B>
<DD>	I have an interest and concern in privacy issues, but in 
	reality I am not really all that active or vocal.
<DT><B>Y</B>
<DD>	I'm pretty indifferent on the whole issue.
<DT><B>Y-</B>
<DD>	It seems to me that all of these concerns are a little 
	extreme.  I mean, the government must be able to protect 
	itself from criminals and the populace from indecent 
	speech. 
<DT><B>Y--</B>
<DD>	Get a life.  The only people that need this kind of 
	protection are people with something to hide.  I think 
	cypherpunks are just a little paranoid.
<DT><B>Y---</B>
<DD>	I am L. Detweiler.
</DL>
<A NAME="pgp"><P></a>
<HR>
<h2>PGP</h2>
Pretty Good Privacy (aka PGP) is a program available on many platforms 
that will encrypt files so that prying eyes (particularly governmental)
can't look at them. 
<P>
<DL>
<DT><B>PGP++++</B>
<DD>	I am Philip Zimmerman
<DT><B>PGP+++</B>
<DD>	I don't send or answer mail that is not encrypted, or at 
	the very least signed.  If you are reading this without 
	decrypting it first, something is wrong.  IT DIDN'T COME 
	FROM ME!
<DT><B>PGP++</B>
<DD>	I have the most recent version and use it regularly
<DT><B>PGP+</B>
<DD>	"Finger me for my public key"
<DT><B>PGP</B>
<DD>	I've used it, but stopped long ago.
<DT><B>PGP-</B>
<DD>	I don't have anything to hide.
<DT><B>PGP--</B>
<DD>	I feel that the glory of the Internet is in the anarchic, 
	trusting environment that so nurtures the exchange of 
	information.  Encryption just bogs that down.
<DT><B>PGP---</B>
<DD>	If you support encryption on the Internet, you must be a 
	drug dealer or terrorist or something like that.
<DT><B>PGP----</B>
<DD>	Oh, here is something you all can use that is better 
	(insert Clipper here).
</DL>
<A NAME="entertainment"><P></a>
<hr size=5>
<hr size=3 width=80%>
<center><h1>ENTERTAINMENT</h1></center>
<hr size=3 width=80%>
<hr size=5>
<P>
Geeks love to play.  No matter their age, all geeks enjoy playing.  Of
course, the object of this entertainment takes a myriad of different forms. 
What is it that pushes a geek to play?  Is it simply a desire to relive 
their childhood?  Or perhaps there is a piece of geeky genetic code that
requires intellectual stimulation.  Who knows, maybe it's a Freudian
thing... 
<A NAME="trek"><P></a>
<HR>
<h2>Star Trek</h2>
Most geeks have an undeniable love for the Star Trek television show (in
any of its different incarnations).  Because GEEK is often synonymous with 
TREKKIE (real geeks aren't so anal as to label themselves TREKKER), it is
important that all geeks list their Trek rating. 
<P>
<DL>
<DT><B>t+++</B>
<DD>	It's not just a TV show, it's a religion.  I know all about
	warp field dynamics and the principles behind the
	transporter.  I have memorized the TECH manual.  I speak
	Klingon.  I go to cons with Vulcan ears on.  I have no life.
<DT><B>t++</B>
<DD>	It's the best show around.  I have all the episodes and the
	movies on tape and can quote entire scenes verbatim.  I've
	built a few of the model kits too.  But you'll never 
	catch me at one of those conventions.  Those people are 
	kooks.
<DT><B>t+</B>
<DD>	It's a damn fine TV show and is one of the only things
	good on television any more.
<DT><B>t</B>
<DD>	It's just another TV show
<DT><B>t-</B>
<DD>	Maybe it is just me, but I have no idea what the big deal
	with Star Trek is.  Perhaps I'm missing something but I just
	think it is bad drama.
<DT><B>t--</B>
<DD>	Star Trek is just another Space Opera.  William Shatner 
	isn't an actor, he's a poser!  And what's with this Jean-Luc 
	Picard?  A Frenchman with a British accent?  Come on.  Isn't 
	Voyager just a rehash of Lost in Space?  Has Sisko even
	breathed in the last two seasons? Come on.  I'd only watch this
	show if my remote control broke.
<DT><B>t---</B>
<DD>	Star Trek SUCKS!  It is the worst crap I have ever seen!
	Hey, all you trekkies out there, GET A LIFE!  (William
	Shatner is a t---)
<P>
<DT><B>t*</b>
<dd>	I identify with Barclay, the greatest of the Trek Geeks.
</DL>
<A NAME="b5"><P></a>
<HR>
<h2>Babylon 5</h2>
<!-- DN: Babylon 5 *is* the Last, Best Hope for Good 
Science Fiction on Television. Don't you just love HTML Markup Comments? -->
For many years, Sci-Fi geeks have wished for a television show that would
overcome the limitations of Star Trek.  For many, a show called Babylon 5
has met that demand, with a deep storyline, exciting characters and
state-of-the-art computer generated effects. 
<P>
<DL>
<DT><B>5++++</B>
<DD>	I am J. Michael Straczynski
<DT><B>5+++</B>
<DD>	I am a True Worshipper of the Church of Joe who lives
	eats breathes and thinks Babylon 5, and has Evil thoughts 
	about stealing Joe's videotape archives just to see 
	episodes earlier.  I am planning to break into the bank 
	and steal the triple-encoded synopsis of the 5-year arc.
<DT><B>5++</B>
<DD>	Finally a show that shows what a real future would look 
	like.  None of this Picardian "Let's talk about it and be 
	friends" crap.  And what's this?  We finally get to see a 
	bathroom!  Over on that Enterprise, they've been holding 
	it for over seven years!
<DT><B>5+</B>
<DD>	Babylon 5 certainly presents a fresh perspective in the
	Sci-Fi universe.  I watch it weekly.
<DT><B>5</B>
<DD>	I've seen it, I am pretty indifferent to it.
<DT><B>5-</B>
<DD>	This show is sub-par.  The acting is wooden, the special
	effects are obviously poor quality.  In general, it seems
	like a very cheap Star Trek ripoff.
<DT><B>5--</B>
<DD>	You call this Sci-Fi?  That is such a load of crap!  This 
	show is just a soap with bad actors, piss-poor effects, 
	and lame storylines.  Puh-leese.  
</DL>
<A NAME="xfile"><P></a>
<HR>
<h2>X-Files</h2>
The Fox Network's Friday evening show The X-Files has become the staple 
of Friday geekhood.  Any show that has aliens, governmental conspiracies, 
aliens, psychic powers, aliens, and other weird stuff is, by definition, 
a geeky show.
<P>
<DL>
<DT><B>	X++++</B>
<DD>	I am Chris Carter
<DT><B>	X+++</B>
<DD>	This is the BEST show on TV, and it's about time.  I've 
	seen everything David Duchovny and Gillian Anderson have 
	ever done that been recorded and I'm a loyal Duchovny/
	Gillian Anderson fan.  I've Converted at least 10 people.  
	I have every episode at SP, debate the fine details on-line, 
	and have a credit for at least 2 YAXAs. 
<DT><B>X++</B>
<DD>	This is one of the better shows I've seen.  I wish I'd 
	taped everything from the start at SP, because I'm wearing 
	out my EP tapes.  I'll periodically debate online.  I've 
	Converted at least 5 people.  I've gotten a YAXA.
<DT><B>X+</B>
<DD>	I've Converted my family and watch the show when I 
	remember.  It's really kinda fun.
<DT><B>X</B>
<DD>	Ho hum.  Just another Fox show.
<DT><B>X-</B>
<DD>	It's ok if you like paranoia and conspiracy stories, but, 
	let's face it, it's crap.
<DT><B>X--</B>
<DD>	If I wanted to watch this kind of stuff, I'd talk to 
	Oliver Stone
</DL>
<A NAME="role"><P></a>
<HR>
<h2>Role Playing</h2>
Role-playing games such as Dungeons &amp; Dragons have long been a part of the
traditional geek life.  Because geeks often become so involved in their
role-playing that they lose touch with reality, include one of the following
role-playing codes.
<P>
<DL>
<DT><B>R+++</B>
<DD>	I've written and published my own gaming materials.
<DT><B>R++</B>
<DD>	There is no life outside the role of the die.  I know all of
	piddly rules of (chosen game).  _MY_ own warped rules scare
	the rest of the players.
<DT><B>R+</B>
<DD>	I've got my weekly sessions set up and a character that I
	know better than I know myself.
<DT><B>R</B>
<DD>	Role-Playing?  That's just something to do to kill a
	Saturday afternoon
<DT><B>R-</B>
<DD>	Gosh, what an utter waste of time!
<DT><B>R--</B>
<DD>	Role-Players are instruments of pure evil.
<DT><B>R---</B>
<DD>	I work for T$R.
<P>
<DT><B>R*</B>
<DD>	I thought life WAS role-playing?
</DL>
<A NAME="tv"><P></A>
<HR>
<H2>Television</h2>
Many geeks have lives that revolve around television.
<P>
<DL>
<DT><B>tv+++</B>
<DD>	There's nothing I can experience "out there" that I can't
	see coming over my satellite dish.  I wish there were MORE 
	channels.  I live for the O.J. Trial.
<DT><B>tv++</B>
<DD>	I just leave the tv on, to make sure I don't miss anything.
<DT><B>tv+</B>
<DD>	I watch some tv every day.
<DT><B>tv</B>
<DD>	I watch only the shows that are actually worthwhile, 
	such as those found on PBS.
<DT><B>tv-</B>
<DD>	I watch tv for the news and 'special programming.'
<DT><B>tv--</B>
<DD>	I turn my tv on during natural disasters.
<P>
<DT><B>!tv</B>
<DD>	I do not own a television.
</DL>
<a name="books"><P></a>
<hr>
<h2>Books</h2>
In addition (or maybe on the other hand), many geeks have lives that revolve 
around books.
<P>
<DL>
<DT><B>b++++</b>
<DD>	I read a book a day.  I have library cards in three states.
	I have discount cards from every major bookstore.  I've
	ordered books from another country to get my Favorite Author
	Fix.
<DT><B>b+++</B>
<DD>	I consume a few books a week as part of a staple diet.
<DT><B>b++</B>
<DD>	I find the time to get through at least one new book a month.
<DT><B>b+</B>
<DD>	I enjoy reading, but don't get the time very often.
<DT><B>b</B>
<DD>	I read the newspaper and the occasional book.
<DT><B>b-</B>
<DD>	I read when there is no other way to get the information.
<DT><B>b--</B>
<DD>	I did not actually READ the geek code, I just had someone 
	tell me.
</DL>
<A NAME="dogbert"><P></a>
<HR>
<h2>Dilbert</h2>
Simply the geekiest comic strip in existence.  
<A HREF="http://www.unitedmedia.com/comics/dilbert/">
http://www.unitedmedia.com/comics/dilbert/</a> for more information.
<P>
<DL>
<DT><B>	DI+++++</B>
<DD>	I am Scott Adams.
<DT><B>DI++++</B>
<DD>	I've received mail from Scott Adams.  I'm in the DNRC 
	(Dogbert's New Ruling Class).
<DT><B>DI+++</B>
<DD>	I am a Dilbert prototype
<DT><B>DI++</B>
<DD>	I work with people that act a lot like Dilbert and his boss.
<DT><B>DI+</B>
<DD>	I read Dilbert daily, often understanding it
<DT><B>DI</B>
<DD>	I read Dilbert infrequently, rarely understanding it
<DT><B>DI-</B>
<DD>	Is that the comic about the engineers?
<DT><B>DI--</B>
<DD>	Don't read it, but I think the dog is kinda cute.
<DT><B>DI---</B>
<DD>	I don't think it's funny to make fun of managers trying 
	their best to run their organizational units.
</DL>
<A NAME="descent"><P></a>
<HR>
<h2>DOOM!</h2> 
There is a game out for the PCs and other computers called DOOM.  It's a
3D virtual reality simulation where you race around and blow things away
with large-caliber weaponry.  This has led to a series of similar games
such as the Star Wars themed Dark Forces.  Tell us about your abilities
with these 3D games.  (yes, some of them aren't actually Doom.  Cope!)
<P>
<DL>
<DT><B>D++++</B>
<DD>	I work for iD Software.
<DT><B>D+++</B>
<DD>	I crank out PWAD files daily, complete with new monsters, 
	weaponry, sounds and maps.  I'm a DOOM God.  I can solve 
	the original maps in nightmare mode with my eyes closed.
<DT><B>D++</B>
<DD>	I've played the shareware version and bought the real one 
	and I'm actually pretty good at the game.  I occasionally 
	download PWAD files and play them too.
<DT><B>D+</B>
<DD>	It's a fun, action game that is a nice diversion on a lazy
	afternoon.
<DT><B>D</B>
<DD>	I've played the game and I'm pretty indifferent.
<DT><B>D-</B>
<DD>	I've played the game and really didn't think it was all 
	that impressive.
<DT><B>D--</B>
<DD>	It's an overly-violent game and pure crap
<DT><B>D---</B>
<DD>	To hell with Doom, I miss Zork.
<DT><B>D----</B>
<DD>	I've seen better on my Atari 2600
</DL>
<A NAME="geek"><P></a>
<hr>
<h2>The Geek Code</h2
The Geek Code has become an important part of the Geek Experience.  
All true geeks recognize the Geek Code, and some can even recite it.
<P>
<DL>
<DT><B>G+++++</B>
<DD>	I am Robert Hayden
<DT><B>G++++</b>
<DD>	I have made a suggestion for future versions of the code
	(note that making a suggestion just to get a G++++ rating
	doesn't count, you also have to at least qualify for a G+++
	rating :-)
<DT><B>G+++</B>
<DD>	I have memorized the entire geek code, and can decode 
	others' codes in my head.  I know by heart where to find 
	the current version of the code on the net.
<DT><B>G++</B>
<DD>	I know what each letter means, but sometimes have to look 
	up the specifics.
<DT><B>G+</B>
<DD>	I was once G++ (or higher), but the new versions are 
	getting too long and too complicated.
<DT><B>G</B>
<DD>	I know what the geek code is and even did up this code.
<DT><B>G-</B>
<DD>	What a tremendous waste of time this Geek Code is.
<DT><B>G--</B>
<DD>	Not only a waste of time, but it obviously shows that 
	this Hayden guy needs a life.
</DL>
<A NAME="lifestyle"><P></a>
<hr size=5>
<hr size=3 width=80%>
<center><h1>LIFESTYLE</h1></center>
<hr size=3 width=80%>
<hr size=5>
<P>
Geeks, unlike the lower lifeforms known as nerds, have lives.  They have
things to do that are in the outside world.  Of course, this is usually
done with other geeks, but that's not the point.  The point is,, that geeks
are not necessarily the outcasts society often believes they are. 
The fact is that society isn't kool enough to be included in our
activities. 
<A NAME="ed"><P></a>
<HR>
<h2>Education</h2>
All geeks have a varying amount of education.
<P>
<DL>
<DT><B>e+++++</B>
<DD>	I am Stephen Hawking
<DT><B>e++++</B>
<DD>	Managed to get my Ph.D.
<DT><B>e+++</B>
<DD>	Got a Masters degree
<DT><B>e++</B>
<DD>	Got a Bachelors degree
<DT><B>e+</B>
<DD>	Got an Associates degree
<DT><B>e</B>
<DD>	Finished High School
<DT><B>e-</B>
<DD>	Haven't finished High School
<DT><B>e--</B>
<DD>	Haven't even entered High School
<P>
<DT><B>e*</B>
<DD>	I learned everything there is to know about life from the
	"Hitchhiker's Trilogy".
</DL>
<A NAME="house"><P></A>
<HR>
<H2>Housing</H2>
Tell us about your geeky home.
<P>
<DL>
<DT><B>h++</B>
<DD>	Living in a cave with 47 computers and an Internet feed,
	located near a Dominoes pizza.  See !d.
<DT><B>h+</B>
<DD>	Living alone, get out once a week to buy food, no more than
	once a month to do laundry.  All surfaces covered.
<DT><B>h</B>
<DD>	Friends come over to visit every once in a while to talk
	about Geek things.  There is a place for them to sit.
<DT><B>h-</B>
<DD>	Living with one or more registered Geeks.
<DT><B>h--</B>
<DD>	Living with one or more people who know nothing about 
	being a Geek and refuse to watch Babylon 5.
<DT><B>h---</B>
<DD>	Married, (persons living romantically with someone might as 
	well label themselves h---, you're as good as there already.)
<DT><B>h----</B>
<DD>	Married with children - Al Bundy can sympathize
<P>
<DT><B>h!</B>
<DD>	I am stuck living with my parents!
<DT><B>h*</B>
<DD>	I'm not sure where I live anymore.  This lab/workplace seems
	like home to me.
</dl>
<A NAME="relat"><P></a>
<HR>
<h2>Relationships</h2>
While many geeks are highly successful at having relationships, a good
many more are not.  Give us the gritty details. 
<DL>
<DT><B>r+++</B>
<DD>	Found someone, dated, and am now married.
<DT><B>r++</B>
<DD>	I've dated my current S.O. for a long time.
<DT><B>r+</B>
<DD>	I date frequently, bouncing from one relationship to 
	another. 
<DT><B>r</B>
<DD>	I date periodically.
<DT><B>r-</B>
<DD>	I have difficulty maintaining a relationship.
<DT><B>r--</B>
<DD>	People just aren't interested in dating me.
<DT><B>r---</B>
<DD>	I'm beginning to think that I'm a leper or something, the 
	way people avoid me like the plague.
<P>
<DT><B>!r</B>
<DD>	I've never had a relationship.
<DT><B>r*</B>
<DD>	signifying membership in the SBCA (Sour Bachelor(ette)'s 
	Club of America).  The motto is 'Bitter, but not Desperate'.  
	First founded at Caltech.
<DT><B>r%</B>
<DD>	I was going out with someone, but the asshole dumped me.
</DL>
<A NAME="sex"><P></a>
<hr>
<H2>Sex</h2>
Geeks have traditionally had problems with sex (ie, they never have any).
Because geeks are so wrapped up in their sexuality (or lack of sexuality for
that matter), it is important that the geek be willing to quantify their
sexual experiences.
<P>
This code also is used to denote the gender of the geek.  Females use 'x' in
this category, while males use 'y'.  Those that do not wish to disclose 
their gender can use 'z'.  For example:
<UL>
<li><B>x+</b> -- A female who has had sex
<li><B>y+</b> -- A male who has had sex.
<li><B>z+</b> -- A person (gender undisclosed) who has had sex.
</ul>
<P>
For those persons who do not wish to give out any details of their sex life,
the use of z? (where z is the gender code) will allow you to do so.
<P>
<DL>
<DT><B>z+++++</B>
<DD>	I am Madonna
<DT><B>z++++</B>
<DD>	I have a few little rug rats to prove I've been there.  
	Besides, with kids around, who has time for sex?
<DT><B>z+++</B>
<DD>	I'm married, so I can get it (theoretically) whenever I 
	want. 
<DT><B>z++</B>
<DD>	I was once referred to as 'easy'.  I have no idea where that
	might have come from though.
<DT><B>z+</B>
<DD>	I've had real, live sex.
<DT><B>z</B>
<DD>	I've had sex.  Oh!  You mean with someone else?  Then no.
<DT><B>z-</B>
<DD>	Not having sex by choice.
<DT><B>z--</B>
<DD>	Not having sex because I just can't get any...
<DT><B>z---</B>
<DD>	Not having sex because I'm a nun or a priest.

<DT><B>z*</B>
<DD>	I'm a pervert.
<DT><B>z**</B>
<DD>	I've been known to make perverts look like angels.
<P>
<DT><B>!z</B>
<DD>	Sex?  What's that?  I've had no sexual experiences.
<DT><B>z?</B>
<DD>	It's none of your business what my sex life is like (this
	is used to denote your gender only).
<DT><B>!z+</B>
<DD>	Sex? What's that? No experience, willing to learn!
</DL>
<A name="display"><P></a>
<HR SIZE=5>
<HR SIZE=5 width=50%>
<HR SIZE=5>
<h2>How to Display Your Code</h2>
Now that you have your ratings for each of the above categories, it's 
time to assemble your code for displaying to the world.  Take each 
category you determined and list them all together with one space between 
each one.  If you run out space on one line, continue it on the next.  
When completed, it will look something like the following:
<P>
<DL><DD>
	GED/J d-- s:++>: a-- C++(++++) ULU++ P+ L++ E---- W+(-) N+++ o+ K+++ w---
	O- M+ V-- PS++>$ PE++>$ Y++ PGP++ t- 5+++ X++ R+++>$ tv+ b+ DI+++ D+++
	G+++++ e++ h r-- y++**
</DL>
<P>
If you are going to place your Geek Code into your .signature or .plan
file (highly recommended), you should create your GEEK CODE BLOCK.  This
parody of the output created by the PGP program will attempt to
universalize how you will see the Geek Code around the net.  Your GEEK
CODE BLOCK will look like the following: 
<P> 
<PRE>
  -----BEGIN GEEK CODE BLOCK-----
  Version: 3.1
  GED/J d-- s:++>: a-- C++(++++) ULU++ P+ L++ E---- W+(-) N+++ o+ K+++ w---
  O- M+ V-- PS++>$ PE++>$ Y++ PGP++ t- 5+++ X++ R+++>$ tv+ b+ DI+++ D+++
  G+++++ e++ h r-- y++**
  ------END GEEK CODE BLOCK------
</pre> 
<P>
As you can see, the actual code hasn't changed.  However, the version 
number of the code you are using is displayed along with lines starting 
and ending the code.  Make sure to duplicate the start and end lines 
exactly as the example in order to maintain a net-wide standard (ie. five 
dashes front and back for the BEGIN line and six for the END line, and all 
capital letters.)
<P> 
"HELP!" you scream as your mailer or news reader won't let you post more 
than four lines in the .signature.  That is because some anal programs 
limit the size of your signature.  Your next best bet, then is to put 
your GEEK CODE BLOCK into your .plan file and put something to the effect 
of "Finger for Geek Code" into your .signature.  That, or get a better 
mailer.
<P>
<A NAME="administrivia"><P></a>
<HR SIZE=5>
<HR SIZE=5 width=50%>
<HR SIZE=5>
<h2>Where to find the Geek Code</h2>
The Geek Code is available at the following <B>official</B> sites.  All 
other sites are <b>not</b> official:
<P>
<DL>
<DT><B>Via World Wide Web</B>
<DD>	<A HREF="http://www.geekcode.com">
	http://www.geekcode.com</a> <B>(HTML Format)</B>
<DD>
<P>
</DL>

<HR SIZE=5>
<HR SIZE=5 width=50%>
<HR SIZE=5>
<h2>Copyright</h2>
The Geek Code is copyright (C) 1993, 1994, 1995, 1996 by <A 
HREF="mailto:rhayden@geekcode.com">Robert A. Hayden</a>.  All
rights reserved.  You are free to distribute this code in electronic
format provided that the file remains unmodified and this copyright notice
remains attached.  This copyright prohibits HTMLizing the code for
publication on the web.  If you wish to publish abstracts or portions of
the code, contact the <A 
HREF="mailto:rhayden@geekcode.com">author</a> for permission.  If 
you wish to write an
article about the Geek Code, please contact the <A 
HREF="mailto:rhayden@geekcode.com">author</a>.  All creatures not
native to Earth are exempt from this copyright, however, they must prove
that they qualify. 
<P>

<br>
<i>This page is copyright &#169 1996 
<a href="mailto:rhayden@geekcode.com">Robert A. Hayden</a>.  All
rights reserved.</i><br>


</body>
</html>
